Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class BaseGradient

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource
          org.richfaces.renderkit.html.BaseGradient

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

Direct Known Subclasses:
  BaseControlBackgroundImage

    public class BaseGradient

extends org.richfaces.resource.AbstractJava2DUserResource
implements org.richfaces.resource.StateHolderResource

Author:
  Nick Belaevski - nbelaevski@exadel.com created 02.02.2007

Field Summary
`protected GradientType` | `gradientType`
`protected java.lang.Integer` | `headerBackgroundColor`
`protected java.lang.Integer` | `headerGradientColor`

Constructor Summary
`BaseGradient()`
`BaseGradient(boolean horizontal)`
`BaseGradient(int width, int height)`
`BaseGradient(int width, int height, boolean horizontal)`
`BaseGradient(int width, int height, int gradientHeight)`
`BaseGradient(int width, int height, int gradientHeight, boolean horizontal)`
`BaseGradient(int width, int height, int gradientHeight, java.lang.String baseColor, java.lang.String gradientColor)`
`BaseGradient(int width, int height, int gradientHeight, java.lang.String baseColor, java.lang.String gradientColor, boolean horizontal)`
`BaseGradient(int width, int height, java.lang.String baseColor, java.lang.String gradientColor)`
`BaseGradient(int width, int height, java.lang.String baseColor, java.lang.String gradientColor, boolean horizontal)`
`BaseGradient(java.lang.String baseColor, java.lang.String gradientColor)`
`BaseGradient(java.lang.String baseColor, java.lang.String gradientColor, boolean horizontal)`

Method Summary
`protected void` | `drawGradient(java.awt.Graphics2D g2d, java.awt.Shape shape, GradientType.BiColor colors, int height)`
`protected java.lang.String` | `getBaseColor()`
`java.awt.Dimension` | `getDimension()`
`protected java.lang.String` | `getGradientColor()`
`protected java.lang.Integer` | `getGradientHeight()`
`protected java.lang.Integer` | `getHeight()`
`protected java.lang.Integer` | `getSafeGradientHeight()`
`protected java.lang.Integer` | `getSafeHeight()`
`protected java.lang.Integer` | `getSafeWidth()`
`protected java.lang.Integer` | `getWidth()`
`void` | `initialize()`
`protected void` | `initializeProperties(javax.faces.context.FacesContext context, org.richfaces.skin.Skin skin)`
`protected boolean` | `isHorizontal()`
`boolean` | `isTransient()`
`void` | `paint(java.awt.Graphics2D graphics2d)`
`protected void` | `paintGradient(java.awt.Graphics2D g2d, java.awt.Dimension dim)`
`protected java.lang.Integer` | `readIntegerParameter(java.io.DataInput dataInput)`
`protected java.lang.Integer` | `readIntegerParameterAsShort(java.io.DataInput dataInput)`
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput dataInput)`
`void` | `setBaseColorParam(java.lang.String paramName)`
`void` | `setGradientColorParam(java.lang.String paramName)`
`void` | `setGradientHeight(java.lang.Integer gradientHeight)`
`void` | `setGradientType(GradientType gradientType)`
`void` | `setHeight(java.lang.Integer height)`
`void` | `setHorizontal(boolean horizontal)`
`void` | `setWidth(java.lang.Integer width)`
`protected void` | `writeIntegerParameter(java.io.DataOutput dataOutput, java.lang.Integer parameter)`
`protected void` | `writeIntegerParameterAsShort(java.io.DataOutput dataOutput, java.lang.Integer parameter)`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput dataOutput)`

Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource
`getImageType, getLastModified, getResponseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### headerBackgroundColor

    protected java.lang.Integer headerBackgroundColor

### headerGradientColor

    protected java.lang.Integer headerGradientColor

### gradientType

    protected GradientType gradientType

Constructor Detail

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight,
                        java.lang.String baseColor,
                        java.lang.String gradientColor,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight,
                        java.lang.String baseColor,
                        java.lang.String gradientColor)

### BaseGradient

    public BaseGradient(int width,
                        int height)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        java.lang.String baseColor,
                        java.lang.String gradientColor)

### BaseGradient

    public BaseGradient()

### BaseGradient

    public BaseGradient(java.lang.String baseColor,
                        java.lang.String gradientColor)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        java.lang.String baseColor,
                        java.lang.String gradientColor,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(boolean horizontal)

### BaseGradient

    public BaseGradient(java.lang.String baseColor,
                        java.lang.String gradientColor,
                        boolean horizontal)

Method Detail

### initializeProperties

    protected void initializeProperties(javax.faces.context.FacesContext context,
                                        org.richfaces.skin.Skin skin)

### initialize

    public final void initialize()

### setWidth

    public final void setWidth(java.lang.Integer width)

### setHeight

    public final void setHeight(java.lang.Integer height)

### setGradientHeight

    public final void setGradientHeight(java.lang.Integer gradientHeight)

### setBaseColorParam

    public final void setBaseColorParam(java.lang.String paramName)

### setGradientColorParam

    public final void setGradientColorParam(java.lang.String paramName)

### setHorizontal

    public final void setHorizontal(boolean horizontal)

### setGradientType

    public final void setGradientType(GradientType gradientType)

### getDimension

    public java.awt.Dimension getDimension()

  Specified by:
    `getDimension` in interface `org.richfaces.resource.Java2DUserResource`
  Overrides:
    `getDimension` in class `org.richfaces.resource.AbstractJava2DUserResource`

### getGradientHeight

    protected java.lang.Integer getGradientHeight()

  Returns:
    the gradientHeight

### getHeight

    protected java.lang.Integer getHeight()

### getWidth

    protected java.lang.Integer getWidth()

### getSafeGradientHeight

    protected java.lang.Integer getSafeGradientHeight()

### getSafeHeight

    protected java.lang.Integer getSafeHeight()

### getSafeWidth

    protected java.lang.Integer getSafeWidth()

### getBaseColor

    protected java.lang.String getBaseColor()

  Returns:
    the baseColor

### getGradientColor

    protected java.lang.String getGradientColor()

  Returns:
    the gradientColor

### isHorizontal

    protected boolean isHorizontal()

  Returns:
    the horizontal

### drawGradient

    protected void drawGradient(java.awt.Graphics2D g2d,
                                java.awt.Shape shape,
                                GradientType.BiColor colors,
                                int height)

### paint

    public void paint(java.awt.Graphics2D graphics2d)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

### paintGradient

    protected void paintGradient(java.awt.Graphics2D g2d,
                                 java.awt.Dimension dim)

  Parameters:
    `g2d` -
    `dim` -

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput dataInput)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput dataOutput)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### writeIntegerParameterAsShort

    protected void writeIntegerParameterAsShort(java.io.DataOutput dataOutput,
                                                java.lang.Integer parameter)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### readIntegerParameterAsShort

    protected java.lang.Integer readIntegerParameterAsShort(java.io.DataInput dataInput)
                                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeIntegerParameter

    protected void writeIntegerParameter(java.io.DataOutput dataOutput,
                                         java.lang.Integer parameter)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### readIntegerParameter

    protected java.lang.Integer readIntegerParameter(java.io.DataInput dataInput)
                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.